package domain


type AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest struct {
    /*
        活动名称，最长20个字符     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动创建者ID（数字类型）     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        活动创建者name     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        活动描述，最长15个字符     */
    Description  *string `json:"description,omitempty" `

    /*
        活动终端：1-APP     */
    Terminals  *[]int32 `json:"terminals,omitempty" `

    /*
        活动生效的经营店ID     */
    StoreIds  *[]string `json:"store_ids,omitempty" `

    /*
        外部活动ID（商家自定义）     */
    OutActId  *string `json:"out_act_id,omitempty" `

    /*
        活动开始时间（毫秒时间戳）     */
    StartTime  *int64 `json:"start_time,omitempty" `

    /*
        活动结束时间（毫秒时间戳）     */
    EndTime  *int64 `json:"end_time,omitempty" `

    /*
        活动人群编码，NEW_USER：新用户，OLD_USER：老用户，LIGHT_NEW_USER：闪购新客，MERCHANT_NEW_USER：商家新用户，MERCHANT_OLD_USER：商家老用户     */
    MemberCrowdCode  *[]string `json:"member_crowd_code,omitempty" `

    /*
        枚举： 2 美团 3 饿了么 26 京东到家 31 翱象淘鲜达 32 翱象共享库存     */
    Channels  *[]string `json:"channels,omitempty" `

    /*
        扩展信息，json串     */
    Attributes  *string `json:"attributes,omitempty" `

}

func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetActivityName(v string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.ActivityName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetCreatorId(v string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetCreatorName(v string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetDescription(v string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.Description = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetTerminals(v []int32) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.Terminals = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetStoreIds(v []string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.StoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetOutActId(v string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.OutActId = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetStartTime(v int64) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.StartTime = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetEndTime(v int64) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.EndTime = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetMemberCrowdCode(v []string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.MemberCrowdCode = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetChannels(v []string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.Channels = &v
    return s
}
func (s *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest) SetAttributes(v string) *AlibabaRetailMarketingBuygiftActivityCreateBuyGiftActivityOperateRequest {
    s.Attributes = &v
    return s
}
